#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDD,0x0C,0xF7,0xFB,0x15,0x06,0x8F,0x0F,0x24,0xED,0x3D,0xE1,
		0x95,0x5E,0x33,0x2F,0x50,0x3E,0x40,0x3B,0x6B,0xAC,0x3D,0x7B,
		0x3B,0xE5,0x3D,0xDF,0x60,0x2A,0xC3,0x22,0x78,0xE1,0xDE,0x2A,
		0x8F,0xC4,0x39,0xD1,0xD7,0x41,0xD4,0x1F,0x97,0xE2,0x09,0xB8,
		0x39,0x39,0x2E,0x84,0x04,0xE9,0x3F,0x6E,0x97,0x0E,0x67,0x2C,
		0xF2,0x88,0x0A,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
